Bug 13656 - "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable
Summary: "Change"/"Set to patron" button for linking a member to an organisation (or c...
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: I18N/L10N (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Josef Moravec
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-02-02 17:10 UTC by Katrin Fischer
Modified: 2016-12-05 21:22 UTC (History)
7 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 13656: "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable (1.93 KB, patch)
2015-05-15 10:43 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 13656: "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable (1.99 KB, patch)
2015-05-15 10:47 UTC, Josef Moravec
Details | Diff | Splinter Review
Bug 13656: "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable (2.10 KB, patch)
2015-05-15 18:05 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 13656: "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable (2.11 KB, patch)
2015-05-15 18:06 UTC, Bernardo Gonzalez Kriegel
Details | Diff | Splinter Review
Bug 13656: "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable (2.17 KB, patch)
2015-05-26 16:00 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 13656: "Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable - 3.18.x (1.14 KB, patch)
2015-06-16 06:08 UTC, Josef Moravec
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-02-02 17:10:35 UTC
"Change" button for linking a member to an organisation on patron edit form is not translatable.

To test:

- install and activate an additional langauge
- create a organisation type patron
- create a member of organisation type patron
- link second patron to your created organisation patron
- verfiy the "change" button is not translatable
Comment 1 Bernardo Gonzalez Kriegel 2015-03-07 19:02:20 UTC
Sorry but... how you do this
> - create a member of organisation type patron
> - link second patron to your created organisation patron
Comment 2 Marc Véron 2015-03-25 09:28:28 UTC
http://manual.koha-community.org/3.18/en/patscirc.html

Organizational
    Organizational patrons are organizations. Organizations can be used as guarantors for Professional patrons.

Professional
    Professional patrons can be linked to Organizational patrons

I tested with a School (Category School (SC)) and a Teacher (Category Teacher (T))

As far as I understand it's the same functionality as for Garantors? - But there the button seems to translate to "Ändern" in German.
Comment 3 Katrin Fischer 2015-03-25 09:55:52 UTC
I think the untranslated text only appeared after I had linked the guarantor/parent, but appeared translated in the beginning. I suspected a Javascript problem.
Comment 4 Katrin Fischer 2015-05-15 06:20:36 UTC
I have retested this. With the sample data:

- Search for an existing 'Kid' patron
- buttons display as 'Ändern' and 'Löschen'
- click 'Ändern'
- Search for an adult patron to link to and confirm
- Suddenly instead of 'Ändern', there is 'Change'
Comment 5 Josef Moravec 2015-05-15 08:15:32 UTC
Strange, I see the similar behavior but with "set to patron" string...
Comment 6 Josef Moravec 2015-05-15 10:43:00 UTC Comment hidden (obsolete)
Comment 7 Josef Moravec 2015-05-15 10:47:55 UTC Comment hidden (obsolete)
Comment 8 Bernardo Gonzalez Kriegel 2015-05-15 18:05:34 UTC Comment hidden (obsolete)
Comment 9 Bernardo Gonzalez Kriegel 2015-05-15 18:06:19 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2015-05-26 16:00:15 UTC
Created attachment 39534 [details] [review]
Bug 13656: "Change"/"Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable

Test plan:
1. install and activate an additional language
2. create patron in organization category
3. create professional patron
4. try to add this patron to an organization (Guarantor information section)
5. note that the left button text changed to "Change" - untranslated english string
6. push the "Delete" button, the guarantor patron field is cleared and the left button text changed to "Set to patron" - again original english text
7. apply the patch
7.1. update translation (koha-translate -u language_code)
8. repeat 4-6, note, that button text are still translated in all sitations
9. sign off ;)

Signed-off-by: Bernardo Gonzalez Kriegel <bgkriegel@gmail.com>
Work as described, no errors
Fixed message capitalization

Signed-off-by: Jonathan Druart <jonathan.druart@koha-community.org>
Comment 11 Tomás Cohen Arazi 2015-06-05 16:04:00 UTC
Patch pushed to master.

Thanks Josef!
Comment 12 Chris Cormack 2015-06-07 08:33:55 UTC
Pushed to 3.20.x will be in 3.20.1
Comment 13 Liz Rea 2015-06-15 21:22:08 UTC
Hi,

This patch doesn't apply for 3.18. If you feel that it should be included, please resolve any issues and resubmit a patch for inclusion in 3.18.x.

Liz
Comment 14 Josef Moravec 2015-06-16 06:08:27 UTC
Created attachment 40160 [details] [review]
Bug 13656: "Set to patron" button for linking a member to an organisation (or child to guarantor) not translatable - 3.18.x
Comment 15 Josef Moravec 2015-06-16 06:09:50 UTC
The 3.18.x code does not content the javascript for updating button string to 'Change', so I made the 3.18.x version of this patch just for 'Set to patron' string.
Comment 16 Josef Moravec 2015-06-16 06:13:21 UTC
The non translatable 'Change' string was added by bug 13021